Pagina 2 di 4

Re: Nouveau..vi interessa?

Inviato: lun mar 29, 2010 15:47
da Meskalamdug
teox99 ha scritto:

Codice: Seleziona tutto

Stanco del driver nvidia proprietario decido

perchè stanco? credo che i programamtori e staff nvidia siano gli unici degni di rispetto nell'ambiente proprietario linux.

i driver nuveau supportano NVIDIA PUREVIDEO (accelerazione VDPAU)?

L'impegno profuso da nvidia negli ultimi anni
non si discute,avevo scritto stanco in quanto
pensavo di poter usare Xen coi drivers nouveau,invece
Xen non va per niente neppure con quelli :(,va solo
coi vesa a 800x600...

"i driver nuveau supportano NVIDIA PUREVIDEO "
Che io sappia no.

Re: Nouveau..vi interessa?

Inviato: mar mar 30, 2010 12:56
da Toni

Re: Nouveau..vi interessa?

Inviato: mar mar 30, 2010 17:27
da Meskalamdug
Toni ha scritto:penso sia presto parlare di 3d

http://nouveau.freedesktop.org/wiki/GalliumHowto

Lo ho testato e funziona,
certo siamo lontani dal 3d dei
drivers proprietari..

Re: Nouveau..vi interessa?

Inviato: mar mar 30, 2010 22:42
da Bart
Io non ho capito una cosa: ma Nouveau non doveva essere incluso nel kernel dal 2.6.33?
Da quanto leggo qui vi siete dovuti creare i pacchetti.

Re: Nouveau..vi interessa?

Inviato: mar mar 30, 2010 22:48
da Blallo
Bart ha scritto:Io non ho capito una cosa: ma Nouveau non doveva essere incluso nel kernel dal 2.6.33?
Da quanto leggo qui vi siete dovuti creare i pacchetti.

è incluso il SUPPORTO
il driver deve essere comunque compilato, come i driver ati, radeonhd (i famosi pacchetti xf86-video-ati, etc)

Re: Nouveau..vi interessa?

Inviato: mer mar 31, 2010 0:00
da Meskalamdug
Bart ha scritto:Io non ho capito una cosa: ma Nouveau non doveva essere incluso nel kernel dal 2.6.33?
Da quanto leggo qui vi siete dovuti creare i pacchetti.

Nouveau È incluso nel kernel(nouveau.ko)
c'è un problema:il codice immesso da rogne
(all'avvio da schermo nero,se viene caricato dopo
l'avvio non parte X),allora si è scelto un codice
più recente.
Secondo come già col kernel 2.6.34 eliminiamo
il pacchetto dei drivers.

Re: Nouveau..vi interessa?

Inviato: sab apr 03, 2010 22:36
da sya54M
@Meskalamdug:
grazie di aver pubblicato gli slackbuild separati.
ho installato il driver per xorg, quello per il kernel e i firmware; però xorg mi da errore che non trova una scheda adatta e si chiude.
devo ricompilare mesa e libdrm così come si trovano nei sorgenti della current?

ps: provato su un pc con una tnt2 e la current

Re: Nouveau..vi interessa?

Inviato: sab apr 03, 2010 23:36
da Meskalamdug
sya54M ha scritto:@Meskalamdug:
grazie di aver pubblicato gli slackbuild separati.
ho installato il driver per xorg, quello per il kernel e i firmware; però xorg mi da errore che non trova una scheda adatta e si chiude.
devo ricompilare mesa e libdrm così come si trovano nei sorgenti della current?

ps: provato su un pc con una tnt2 e la current

No.
Per mesa usa questo http://rapidshare.com/files/371681382/mesa.SlackBuild.html,libdrm va bene anche
quello ufficiale(al massimo aggiorna al .19 modificando
lo slackbuild).
Comunque prova così..anche perchè mesa non c'entra..
riavvia il pc seguendo le istruzioni precedenti
(ossia blacklista il modulo nouveau,edita
xorg in modo che usi nouveau...e riavvii il pc).

Re: Nouveau..vi interessa?

Inviato: dom apr 04, 2010 19:20
da sya54M
ho installato il .20 di libdrm ma forse non serviva perchè ho visto che anche nel pacchetto ufficiale ci sono i file di nouveau.
ho compilato il kernel 2.6.34-rc3 ed è partito xorg coi nouveau (questo ha risolto), però senza accelerazione e noto nel log che manca il supporto da parte di mesa per abilitare dri, quindi ora sto pacchettizzando mesa 7.8 con lo slackbuild di pat a cui ho aggiunto di abilitare gallium-nouveau.
grazie delle info, appena mi riconnetto faccio sapere come va.

ps: se non viene caricato vesafb non serve blacklistare nouveau, il motivo dello schermo nero è solo che vanno in conflitto questi 2.

Re: Nouveau..vi interessa?

Inviato: dom apr 04, 2010 22:23
da sya54M
la compilazione di mesa 7.8 fallisce proprio su nouveau :cry:

Re: Nouveau..vi interessa?

Inviato: dom apr 04, 2010 22:55
da Meskalamdug
sya54M ha scritto:la compilazione di mesa 7.8 fallisce proprio su nouveau :cry:

Prova il mio precompilato

http://www.webalice.it/linux352/mesa-03 ... 64-1mg.txz

Re: Nouveau..vi interessa?

Inviato: lun apr 05, 2010 8:39
da WRoy.82
Meskalamdug ha scritto:
sya54M ha scritto:la compilazione di mesa 7.8 fallisce proprio su nouveau :cry:

Prova il mio precompilato

http://www.webalice.it/linux352/mesa-03 ... 64-1mg.txz


Questo pacchetto è a 64bit
La richiesta di sya54M nn è questa

Re: Nouveau..vi interessa?

Inviato: lun apr 05, 2010 8:45
da WRoy.82
sya54M ha scritto:sapete se funzionano su una tnt2?
perchè bisogna reinstallare lo stesso pacchetto xorg-server?
perchè non va bene il driver a livello kernel che è incluso nel vanilla 2.6.33?
si potrebbero avere i pacchetti a 32 bit?

scusate se sembra un interrogatorio ma ho molti dubbi e mi interessa molto questo driver perchè ho vecchie schede nvidia e i driver ufficiali sono quasi abbandonati per questi modelli:
tnt2 e fx5700

grazie


vedi...

Re: Nouveau..vi interessa?

Inviato: lun apr 05, 2010 11:21
da Meskalamdug
WRoy.82 ha scritto:
Meskalamdug ha scritto:
sya54M ha scritto:la compilazione di mesa 7.8 fallisce proprio su nouveau :cry:

Prova il mio precompilato

http://www.webalice.it/linux352/mesa-03 ... 64-1mg.txz


Questo pacchetto è a 64bit
La richiesta di sya54M nn è questa

Whooops.
Scusate.

Re: Nouveau..vi interessa?

Inviato: lun apr 05, 2010 18:52
da sya54M
si, infatti mi servirebbe a 32 bit, ma:
puoi dirmi se nel tuo pacchetto c'è il file che mi chiede xorg:

Codice: Seleziona tutto

(EE) AIGLX error: dlopen of /usr/lib/xorg/modules/dri/nouveau_vieux_dri.so failed (/usr/lib/xorg/modules/dri/nouveau_vieux_dri.so: cannot open shared object file: No such file or directory)

a me si compila il nouveau_dri.so (questo c'è) ma sul nouveau_vieux_dri.so da errore riguardo una variabile non precedentemente dichiarata, cioè sembra proprio un bug di mesa 7.8 perciò vorrei sapere se magari scaricandolo da git come hai fatto tu, è stato risolto.

grazie

edit: ti chiedo se hai questo file perchè magari tu stai usando il gallium e quindi non ti serve quello che a me non va